A B C D E F G H I J L M N P R S T U V W X

A

addSession(HttpSession) - Method in class net.spy.jwebkit.SessionWatcher.SessionStorage
Store a session.
AjaxAction - Class in net.spy.jwebkit.struts
Base action for AJAX actions.
AjaxAction() - Constructor for class net.spy.jwebkit.struts.AjaxAction
 
AjaxHandler - Annotation Type in net.spy.jwebkit
Annotation for defining sub-servlet access.
AjaxInPlaceEditServlet - Class in net.spy.jwebkit
Handler for Ajax in-place editing support using reflection and java annotations to make it easy to write small data handlers.
AjaxInPlaceEditServlet() - Constructor for class net.spy.jwebkit.AjaxInPlaceEditServlet
 
AjaxInPlaceEditServlet.Handler - Class in net.spy.jwebkit
Individual request handler.
AjaxInPlaceEditServlet.Handler() - Constructor for class net.spy.jwebkit.AjaxInPlaceEditServlet.Handler
 
AjaxServlet - Class in net.spy.jwebkit
Base servlet for AJAX operations.
AjaxServlet() - Constructor for class net.spy.jwebkit.AjaxServlet
 
AUTH_REQ_HEADER - Static variable in class net.spy.jwebkit.auth.AuthFilter
The HTTP request header used to send authentication credentials.
AUTH_RES_HEADER - Static variable in class net.spy.jwebkit.auth.AuthFilter
The HTTP response header used to issue the authentication challenge.
AuthAdaptor - Interface in net.spy.jwebkit.auth
Authentication adaptor to return whether a role is available to a principal.
AuthFilter - Class in net.spy.jwebkit.auth
ServletFilter to intercept requests and ensure they're authenticated and authorized.
AuthFilter() - Constructor for class net.spy.jwebkit.auth.AuthFilter
 

B

BasicAuthFilter - Class in net.spy.jwebkit.auth
Filter for providing basic authentication support.
BasicAuthFilter() - Constructor for class net.spy.jwebkit.auth.BasicAuthFilter
 
BasicOrDigestAuthFilter - Class in net.spy.jwebkit.auth
AuthFilter that will use either basic or digest authentication.
BasicOrDigestAuthFilter() - Constructor for class net.spy.jwebkit.auth.BasicOrDigestAuthFilter
 
BSHAction - Class in net.spy.jwebkit.struts
A struts action to execute bsh scripts for action handlers.
BSHAction() - Constructor for class net.spy.jwebkit.struts.BSHAction
 

C

CacheEntry - Class in net.spy.jwebkit.cache
Cache entries for the CacheFilter.
CacheEntry() - Constructor for class net.spy.jwebkit.cache.CacheEntry
 
CacheFilter - Class in net.spy.jwebkit.cache
A simple cache filter to remember and resend values.
CacheFilter() - Constructor for class net.spy.jwebkit.cache.CacheFilter
 
CacheFlushAction - Class in net.spy.jwebkit.struts
Flush spycache action.
CacheFlushAction() - Constructor for class net.spy.jwebkit.struts.CacheFlushAction
 
CacheProvider - Interface in net.spy.jwebkit.cache
A provider for the CacheFilter.
checkCreds(HttpServletRequest, HttpServletResponse, Map<String, String>) - Method in class net.spy.jwebkit.auth.DigestAuthFilter
Check the credentials of this client.
checkPassword(String, String) - Method in class net.spy.jwebkit.auth.BasicAuthFilter
Check the username and password of the current user.
checkPassword(String, String) - Method in class net.spy.jwebkit.auth.FormAuthFilter
Check the username and password of the current user.
checkPassword(String, String) - Method in interface net.spy.jwebkit.auth.PasswordCheckingAuthAdaptor
Return a Principal representing the given username if the given password is considered valid for the given user.
checkPassword(String, String) - Method in class net.spy.jwebkit.auth.PropPasswdAuthAdaptor
 
checkPassword(String, String) - Method in class net.spy.jwebkit.auth.SimpleAuthAdaptor
 
checkRequest(Principal, HttpServletRequest) - Method in class net.spy.jwebkit.AjaxInPlaceEditServlet
Check the sanity of this request.
computeResponse(String, String, String, String, String, String) - Method in class net.spy.jwebkit.auth.DigestAuthFilter
Compute a digest response.
ContentFilteredResponse - Class in net.spy.jwebkit
HttpServletResponse that will run content types through a map.
ContentFilteredResponse(HttpServletResponse, Map<String, String>) - Constructor for class net.spy.jwebkit.ContentFilteredResponse
Get an instance of ContentFilteredResponse.
ContentTypeFilter - Class in net.spy.jwebkit
Request filter that limits the content types
ContentTypeFilter() - Constructor for class net.spy.jwebkit.ContentTypeFilter
 
contextDestroyed(ServletContextEvent) - Method in class net.spy.jwebkit.cache.MemcachedContextListener
 
contextDestroyed(ServletContextEvent) - Method in class net.spy.jwebkit.JWServletContextListener
 
contextInitialized(ServletContextEvent) - Method in class net.spy.jwebkit.cache.MemcachedContextListener
 
contextInitialized(ServletContextEvent) - Method in class net.spy.jwebkit.JWServletContextListener
 
ContextUtil - Class in net.spy.jwebkit
Utilities to get configuration parameters from a context.
ContextUtil() - Constructor for class net.spy.jwebkit.ContextUtil
 
CronContextListener - Class in net.spy.jwebkit
Cron facilities.
CronContextListener() - Constructor for class net.spy.jwebkit.CronContextListener
 
CTX_NAME - Static variable in class net.spy.jwebkit.cache.MemcachedContextListener
Name of the context attribute containing the memcached client.
ctxDestroy(ServletContextEvent) - Method in class net.spy.jwebkit.CronContextListener
 
ctxDestroy(ServletContextEvent) - Method in class net.spy.jwebkit.JWServletContextListener
Hook to override shutdown.
ctxInit(ServletContextEvent) - Method in class net.spy.jwebkit.CronContextListener
 
ctxInit(ServletContextEvent) - Method in class net.spy.jwebkit.JWServletContextListener
Hook to override initialization.
ctxInit(ServletContextEvent) - Method in class net.spy.jwebkit.ScriptSupportContextListener
 

D

DBSPAction - Class in net.spy.jwebkit.struts
This action, combined with a DBSPMapping is used to map an spt directly into your struts config.
DBSPAction() - Constructor for class net.spy.jwebkit.struts.DBSPAction
 
DBSPAction.Parameter - Class in net.spy.jwebkit.struts
 
DBSPAction.Parameter(int, String, String) - Constructor for class net.spy.jwebkit.struts.DBSPAction.Parameter
Get a Parameter by type and name.
DBSPMapping - Class in net.spy.jwebkit.struts
ActionMapping for DBSP actions.
DBSPMapping() - Constructor for class net.spy.jwebkit.struts.DBSPMapping
 
DebugServlet - Class in net.spy.jwebkit.debug
Servlet for getting a view of the JVM.
DebugServlet() - Constructor for class net.spy.jwebkit.debug.DebugServlet
 
DEFAULT_ROLE - Static variable in annotation type net.spy.jwebkit.AjaxHandler
Default value of the role.
destroy() - Method in class net.spy.jwebkit.cache.CacheFilter
 
destroy() - Method in interface net.spy.jwebkit.cache.CacheProvider
Tear down.
destroy() - Method in class net.spy.jwebkit.cache.MemcachedCacheProvider
 
destroy() - Method in class net.spy.jwebkit.cache.SimpleCacheProvider
 
destroy() - Method in class net.spy.jwebkit.ContentTypeFilter
Destroy the filter.
destroy() - Method in class net.spy.jwebkit.HeaderFilter
Destroy this filter.
destroy() - Method in class net.spy.jwebkit.JWFilter
 
destroy() - Method in class net.spy.jwebkit.ProxySupportFilter
 
didAuthenticate(Principal, HttpServletRequest, HttpServletResponse) - Method in interface net.spy.jwebkit.auth.AuthAdaptor
Invoked after a user-agent has successfully authenticated.
didAuthenticate(Principal, HttpServletRequest, HttpServletResponse) - Method in class net.spy.jwebkit.auth.PropPasswdAuthAdaptor
 
didAuthenticate(Principal, HttpServletRequest, HttpServletResponse) - Method in class net.spy.jwebkit.auth.SimpleAuthAdaptor
 
DigestAuthFilter - Class in net.spy.jwebkit.auth
AuthFilter implementating digest authentication.
DigestAuthFilter() - Constructor for class net.spy.jwebkit.auth.DigestAuthFilter
 
DigestAuthFilter.ValidationState - Enum in net.spy.jwebkit.auth
Validation states for digest authentication.
DigestSupportAuthAdaptor - Interface in net.spy.jwebkit.auth
AuthAdaptor with support for digest authenticators.
doAuthedChain(Principal, HttpServletRequest, HttpServletResponse, FilterChain) - Method in class net.spy.jwebkit.auth.AuthFilter
Invoked when the authentication credentials match and the user should be permitted to access the requested resource.
doCheckedFilter(ServletRequest, ServletResponse, FilterChain) - Method in class net.spy.jwebkit.auth.AuthFilter
Run whatever authentication filters need to be attempted here.
doCheckedFilter(ServletRequest, ServletResponse, FilterChain) - Method in class net.spy.jwebkit.auth.BasicAuthFilter
 
doCheckedFilter(ServletRequest, ServletResponse, FilterChain) - Method in class net.spy.jwebkit.auth.BasicOrDigestAuthFilter
 
doCheckedFilter(ServletRequest, ServletResponse, FilterChain) - Method in class net.spy.jwebkit.auth.DigestAuthFilter
 
doCheckedFilter(ServletRequest, ServletResponse, FilterChain) - Method in class net.spy.jwebkit.auth.FormAuthFilter
 
DOCUMENT - Static variable in class net.spy.jwebkit.xml.XMLOutputServlet
Name of the request holding the DOM tree.
doFilter(ServletRequest, ServletResponse, FilterChain) - Method in class net.spy.jwebkit.auth.AuthFilter
 
doFilter(ServletRequest, ServletResponse, FilterChain) - Method in class net.spy.jwebkit.cache.CacheFilter
 
doFilter(ServletRequest, ServletResponse, FilterChain) - Method in class net.spy.jwebkit.ContentTypeFilter
Replace the response with one that has a content type mapping.
doFilter(ServletRequest, ServletResponse, FilterChain) - Method in class net.spy.jwebkit.GZIPFilter
 
doFilter(ServletRequest, ServletResponse, FilterChain) - Method in class net.spy.jwebkit.HeaderFilter
Add all of the configuration specified headers to the response and then process the rest of the chain.
doFilter(ServletRequest, ServletResponse, FilterChain) - Method in class net.spy.jwebkit.ProxySupportFilter
 
doGet(HttpServletRequest, HttpServletResponse) - Method in class net.spy.jwebkit.AjaxServlet
HTTP binding for AjaxServlet.
doGet(HttpServletRequest, HttpServletResponse) - Method in class net.spy.jwebkit.debug.DebugServlet
Process the request.
doGet(HttpServletRequest, HttpServletResponse) - Method in class net.spy.jwebkit.debug.MemServlet
 
doGet(HttpServletRequest, HttpServletResponse) - Method in class net.spy.jwebkit.debug.TopServlet
 
doGet(HttpServletRequest, HttpServletResponse) - Method in class net.spy.jwebkit.xml.XMLOutputServlet
Get an XML document from the request attribute and send it as text/xml.
doNoAuthChain(HttpServletRequest, HttpServletResponse, FilterChain) - Method in class net.spy.jwebkit.auth.BasicAuthFilter
Invoked when the authentication credentials do not match, or the credentials are rejected.
doNoAuthChain(HttpServletRequest, HttpServletResponse, FilterChain, DigestAuthFilter.ValidationState) - Method in class net.spy.jwebkit.auth.DigestAuthFilter
Invoked when the authentication credentials do not match, or the credentials are rejected.
doNoAuthChain(HttpServletRequest, HttpServletResponse, FilterChain, String, boolean) - Method in class net.spy.jwebkit.auth.FormAuthFilter
Executed when the user is not authenticated.
doPost(HttpServletRequest, HttpServletResponse) - Method in class net.spy.jwebkit.AjaxServlet
HTTP binding for AjaxServlet.

E

execute(ActionMapping, ActionForm, HttpServletRequest, HttpServletResponse) - Method in class net.spy.jwebkit.struts.JWebAction
Execute this action.

F

FormAuthFilter - Class in net.spy.jwebkit.auth
Handler for form-based authenticators.
FormAuthFilter() - Constructor for class net.spy.jwebkit.auth.FormAuthFilter
 

G

generateNonce() - Method in class net.spy.jwebkit.auth.DigestAuthFilter
Generate a nonce to be used in a digest challenge.
generateOpaque() - Method in class net.spy.jwebkit.auth.DigestAuthFilter
Generate an opaque value to be used in a digest challenge.
getAuthAdaptor() - Method in class net.spy.jwebkit.auth.AuthFilter
Get the AuthAdaptor used by this filter.
getAuthForm() - Method in class net.spy.jwebkit.auth.FormAuthFilter
Get the path to the auth form.
getAuthType() - Method in class net.spy.jwebkit.auth.AuthFilter
Get the authentication type used by this filter.
getAuthType() - Method in class net.spy.jwebkit.auth.BasicAuthFilter
 
getAuthType() - Method in class net.spy.jwebkit.auth.BasicOrDigestAuthFilter
 
getAuthType() - Method in class net.spy.jwebkit.auth.DigestAuthFilter
 
getAuthType() - Method in class net.spy.jwebkit.auth.FormAuthFilter
 
getBasicAuthFilter() - Method in class net.spy.jwebkit.auth.BasicOrDigestAuthFilter
Get a basic auth filter instance to be used
getClient(ServletContext) - Static method in class net.spy.jwebkit.cache.MemcachedContextListener
Get the memcached client contained in the given context.
getConfig() - Method in class net.spy.jwebkit.JWFilter
Get the filter config.
getContentHandler(HttpServletResponse) - Method in class net.spy.jwebkit.xml.XMLOutputServlet
Get an XML Content handler for streaming SAXAbles.
getContentType() - Method in class net.spy.jwebkit.cache.CacheEntry
 
getContextPath(ServletContext) - Method in class net.spy.jwebkit.JWServletContextListener
Attempt to get the context path from the given context.
getContextRelativeFilePathParameter(String, String) - Method in class net.spy.jwebkit.JWHttpServlet
Get a context relative file path configuration parameter.
getCron() - Static method in class net.spy.jwebkit.CronContextListener
Get the Cron instance.
getData() - Method in class net.spy.jwebkit.cache.CacheEntry
 
getDefaultRole() - Method in class net.spy.jwebkit.AjaxInPlaceEditServlet
Get the default role value (for when none is specified).
getDescription() - Method in class net.spy.jwebkit.rss.RSSChannel
Get the description of this channel.
getDescription() - Method in interface net.spy.jwebkit.rss.RSSItem
Get the description of this item.
getDigestAuthFilter() - Method in class net.spy.jwebkit.auth.BasicOrDigestAuthFilter
Get the digest auth filter instance to be used.
getEntry(String) - Method in interface net.spy.jwebkit.cache.CacheProvider
Get the cache entry for the given key.
getEntry(String) - Method in class net.spy.jwebkit.cache.MemcachedCacheProvider
 
getEntry(String) - Method in class net.spy.jwebkit.cache.SimpleCacheProvider
 
getExtension() - Method in class net.spy.jwebkit.struts.BSHAction
Get the extension for BSH scripts.
getExtension() - Method in class net.spy.jwebkit.struts.PyScriptAction
Get the extension for jython scripts.
getExtension() - Method in class net.spy.jwebkit.struts.ScriptAction
Get the extension the script files for this script engine will use.
getFailedAuthForm() - Method in class net.spy.jwebkit.auth.FormAuthFilter
Get the path to the auth form.
getGuid() - Method in interface net.spy.jwebkit.rss.RSSItem
Get the GUID for this item.
getHA1(String, String) - Method in interface net.spy.jwebkit.auth.DigestSupportAuthAdaptor
Get the HA1 string for authentication.
getHA1(String, String) - Method in class net.spy.jwebkit.auth.PropPasswdAuthAdaptor
 
getHA1(String, String) - Method in class net.spy.jwebkit.auth.SimpleAuthAdaptor
 
getHeaders() - Method in class net.spy.jwebkit.cache.CacheEntry
 
getHeadersSet() - Method in class net.spy.jwebkit.cache.CacheEntry
 
getInstance() - Static method in class net.spy.jwebkit.SessionWatcher.SessionStorage
Get the singleton instance.
getIntParam(HttpServletRequest, String) - Method in class net.spy.jwebkit.AjaxInPlaceEditServlet.Handler
Convenience method for getting an integer parameter.
getItems() - Method in class net.spy.jwebkit.rss.RSSChannel
Get the RSS items for this channel.
getLanguage() - Method in class net.spy.jwebkit.rss.RSSChannel
Get the language of this channel.
getLength() - Method in interface net.spy.jwebkit.rss.RSSPodcastItem
Get the length of this item, or -1 if not known.
getLink() - Method in class net.spy.jwebkit.rss.RSSChannel
Get the link to this channel.
getLink() - Method in interface net.spy.jwebkit.rss.RSSItem
Get the link this item points to.
getLogger() - Method in class net.spy.jwebkit.ContentFilteredResponse
Get the logger for this class.
getLogger() - Method in class net.spy.jwebkit.JWHttpServlet
Get the logger for this instance.
getLogger() - Method in class net.spy.jwebkit.struts.JWebAction
Get the logger for this instance.
getLoginAction() - Method in class net.spy.jwebkit.auth.FormAuthFilter
Get the action path that will be authenticating this user.
getLoginURI() - Method in class net.spy.jwebkit.auth.FormAuthFilter
Get the name of the request parameter that will tell us where to forward the user after authentication.
getName() - Method in class net.spy.jwebkit.struts.DBSPAction.Parameter
Get the name of this paramter.
getParam() - Method in class net.spy.jwebkit.struts.DBSPAction.Parameter
Get the parameter as will need to be constructed for a URL parameter.
getPasswordParam() - Method in class net.spy.jwebkit.auth.FormAuthFilter
Get the name of the parameter containing the password.
getPathToScript(ActionMapping, ActionForm, HttpServletRequest, HttpServletResponse) - Method in class net.spy.jwebkit.struts.ScriptAction
Get the path to the script this action should execute.
getPrincipal(String) - Method in class net.spy.jwebkit.auth.DigestAuthFilter
Get a principal for the given authenticated username.
getPubDate() - Method in interface net.spy.jwebkit.rss.RSSItem
Get the date of publication of this item.
getQueryString(HttpServletRequest) - Static method in class net.spy.jwebkit.RequestUtil
Get the QUERY_STRING that can be used to reconstruct the current request.
getRelativeFilePath(ServletContext, String) - Static method in class net.spy.jwebkit.ContextUtil
Get a possibly context relative file path.
getRelativeFilePathParameter(ServletContext, String, String) - Static method in class net.spy.jwebkit.ContextUtil
Get a context relative file path configuration parameter.
getRelativeUri(HttpServletRequest, String) - Static method in class net.spy.jwebkit.RequestUtil
Get a relative URI inside the current web app.
getReportName() - Method in class net.spy.jwebkit.struts.DBSPMapping
Get the name of this report.
getRequestWithPrincipal(Principal, HttpServletRequest, HttpServletResponse, String) - Method in class net.spy.jwebkit.auth.AuthFilter
Get a wrapper HttpServletRequest instance that wraps the given request and contains the given principal.
getRequestWithPrincipal(Principal, HttpServletRequest, HttpServletResponse) - Method in class net.spy.jwebkit.auth.AuthFilter
Get a wrapper HttpServletRequest instance that wraps the given request and contains the given principal.
getResults(HttpServletRequest) - Method in class net.spy.jwebkit.AjaxInPlaceEditServlet
Overridden to avoid having people implement it.
getResults(HttpServletRequest) - Method in class net.spy.jwebkit.AjaxServlet
The results to be sent back to the AJAX client.
getResults(ActionForm, HttpServletRequest) - Method in class net.spy.jwebkit.struts.AjaxAction
Write the results for this call to the given ContentHandler.
getScriptPath() - Static method in class net.spy.jwebkit.ScriptSupportContextListener
Get the path to scripts.
getScriptPath() - Method in class net.spy.jwebkit.struts.ScriptMapping
Get the script path.
getSession(String) - Method in class net.spy.jwebkit.SessionWatcher.SessionStorage
Get a specific session.
getSessions() - Method in class net.spy.jwebkit.SessionWatcher.SessionStorage
Get a collection of all available sessions.
getSptClass() - Method in class net.spy.jwebkit.struts.DBSPMapping
Get the DBSP class to be used for this report.
getSpyConfig(ActionMapping) - Method in class net.spy.jwebkit.struts.DBSPAction
Get the DB config that will be used to access the DB to execute this report.
getStringParam(HttpServletRequest, String, int) - Method in class net.spy.jwebkit.AjaxInPlaceEditServlet.Handler
Convenience method for getting a somewhat validated string parameter.
getTitle() - Method in class net.spy.jwebkit.rss.RSSChannel
Get the title of this channel.
getTitle() - Method in interface net.spy.jwebkit.rss.RSSItem
Get the title of this item.
getType() - Method in interface net.spy.jwebkit.rss.RSSPodcastItem
Get the mime type of this item.
getType() - Method in class net.spy.jwebkit.struts.DBSPAction.Parameter
Get the JDBC type of this argument.
getURL() - Method in interface net.spy.jwebkit.rss.RSSPodcastItem
Get the URL to this item.
getUsernameParam() - Method in class net.spy.jwebkit.auth.FormAuthFilter
Get the name of the parameter containing the username.
getValue() - Method in class net.spy.jwebkit.struts.DBSPAction.Parameter
Get the value of this parameter.
GZIPFilter - Class in net.spy.jwebkit
Compression filter.
GZIPFilter() - Constructor for class net.spy.jwebkit.GZIPFilter
 

H

handle(Principal, HttpServletRequest) - Method in class net.spy.jwebkit.AjaxInPlaceEditServlet.Handler
Handle the request.
HeaderFilter - Class in net.spy.jwebkit
Filter that sets response headers.
HeaderFilter() - Constructor for class net.spy.jwebkit.HeaderFilter
 
HoldAction - Class in net.spy.jwebkit.struts
Struts action for performing a wait page.
HoldAction() - Constructor for class net.spy.jwebkit.struts.HoldAction
 

I

init(ServletConfig) - Method in class net.spy.jwebkit.AjaxInPlaceEditServlet
Initialize all of the handlers.
init(FilterConfig) - Method in interface net.spy.jwebkit.auth.AuthAdaptor
Initialize this AuthAdaptor with the given filter config.
init(FilterConfig) - Method in class net.spy.jwebkit.auth.AuthFilter
 
init(FilterConfig) - Method in class net.spy.jwebkit.auth.BasicAuthFilter
 
init(FilterConfig) - Method in class net.spy.jwebkit.auth.BasicOrDigestAuthFilter
 
init(FilterConfig) - Method in class net.spy.jwebkit.auth.DigestAuthFilter
 
init(FilterConfig) - Method in class net.spy.jwebkit.auth.FormAuthFilter
 
init(FilterConfig) - Method in class net.spy.jwebkit.auth.PropPasswdAuthAdaptor
 
init(FilterConfig) - Method in class net.spy.jwebkit.auth.SimpleAuthAdaptor
 
init(FilterConfig) - Method in class net.spy.jwebkit.cache.CacheFilter
 
init(FilterConfig) - Method in interface net.spy.jwebkit.cache.CacheProvider
Initialize with the given filter config.
init(FilterConfig) - Method in class net.spy.jwebkit.cache.MemcachedCacheProvider
 
init(FilterConfig) - Method in class net.spy.jwebkit.cache.SimpleCacheProvider
 
init(FilterConfig) - Method in class net.spy.jwebkit.ContentTypeFilter
Initialize the filter.
init(ServletConfig) - Method in class net.spy.jwebkit.debug.DebugServlet
Initialize the debug servlet.
init(ServletConfig) - Method in class net.spy.jwebkit.debug.TopServlet
Configurate.
init(FilterConfig) - Method in class net.spy.jwebkit.HeaderFilter
Load all of the headers from the config.
init(FilterConfig) - Method in class net.spy.jwebkit.JWFilter
 
init(FilterConfig) - Method in class net.spy.jwebkit.ProxySupportFilter
 
isNonceValid(String) - Method in class net.spy.jwebkit.auth.DigestAuthFilter
Determine whether the given nonce should be considered valid.
isPrincipalInRole(HttpServletRequest, HttpServletResponse, ServletContext, Principal, String) - Method in interface net.spy.jwebkit.auth.AuthAdaptor
Determine whether the given Principal is in the given role.
isPrincipalInRole(HttpServletRequest, HttpServletResponse, ServletContext, Principal, String) - Method in class net.spy.jwebkit.auth.PropPasswdAuthAdaptor
 
isPrincipalInRole(HttpServletRequest, HttpServletResponse, ServletContext, Principal, String) - Method in class net.spy.jwebkit.auth.SimpleAuthAdaptor
 

J

JWebAction - Class in net.spy.jwebkit.struts
Superclass for all actions.
JWebAction() - Constructor for class net.spy.jwebkit.struts.JWebAction
 
JWFilter - Class in net.spy.jwebkit
Base class for filters.
JWFilter() - Constructor for class net.spy.jwebkit.JWFilter
 
JWHttpServlet - Class in net.spy.jwebkit
Jwebkit base HTTP servlet.
JWHttpServlet() - Constructor for class net.spy.jwebkit.JWHttpServlet
 
JWServletContextListener - Class in net.spy.jwebkit
Base class for servlet context listeners.
JWServletContextListener() - Constructor for class net.spy.jwebkit.JWServletContextListener
 

L

LOGIN_ACTION - Static variable in class net.spy.jwebkit.auth.FormAuthFilter
The name of the action that logs in the user.
LOGIN_URI - Static variable in class net.spy.jwebkit.auth.FormAuthFilter
The name of the next URI to visit (if applicable).
LogoutAction - Class in net.spy.jwebkit.struts
Action to invalidate a session.
LogoutAction() - Constructor for class net.spy.jwebkit.struts.LogoutAction
 

M

makeCacheKey(HttpServletRequest) - Method in class net.spy.jwebkit.cache.CacheFilter
Make a cache key for the given request.
MemcachedCacheProvider - Class in net.spy.jwebkit.cache
Cache provider that stores stuff in memcached.
MemcachedCacheProvider() - Constructor for class net.spy.jwebkit.cache.MemcachedCacheProvider
 
MemcachedContextListener - Class in net.spy.jwebkit.cache
Provide memcached from a servlet context.
MemcachedContextListener() - Constructor for class net.spy.jwebkit.cache.MemcachedContextListener
 
MemServlet - Class in net.spy.jwebkit.debug
Simple JVM memory access servlet.
MemServlet() - Constructor for class net.spy.jwebkit.debug.MemServlet
 

N

net.spy.jwebkit - package net.spy.jwebkit
General web app utility classes.
net.spy.jwebkit.auth - package net.spy.jwebkit.auth
 
net.spy.jwebkit.cache - package net.spy.jwebkit.cache
A servlet filter for caching servlet results.
net.spy.jwebkit.debug - package net.spy.jwebkit.debug
 
net.spy.jwebkit.rss - package net.spy.jwebkit.rss
 
net.spy.jwebkit.struts - package net.spy.jwebkit.struts
Reusable struts actions.
net.spy.jwebkit.xml - package net.spy.jwebkit.xml
 

P

parseQueryString(String, String) - Static method in class net.spy.jwebkit.RequestUtil
Parse the given query string.
PASSWORD_PARAM - Static variable in class net.spy.jwebkit.auth.FormAuthFilter
The name of the form field containing the password.
PasswordCheckingAuthAdaptor - Interface in net.spy.jwebkit.auth
AuthAdaptor subinterface for authenticators that can perform simple password authentication validation (i.e.
processRequest(HttpServletRequest, HttpServletResponse) - Method in class net.spy.jwebkit.AjaxInPlaceEditServlet
Look up an appropriate handler by path and execute it, returning the results.
processRequest(HttpServletRequest, HttpServletResponse) - Method in class net.spy.jwebkit.AjaxServlet
Handle the actual request proessing.
PropPasswdAuthAdaptor - Class in net.spy.jwebkit.auth
 
PropPasswdAuthAdaptor() - Constructor for class net.spy.jwebkit.auth.PropPasswdAuthAdaptor
 
ProxySupportFilter - Class in net.spy.jwebkit
A filter to support an app running behind a proxy server.
ProxySupportFilter() - Constructor for class net.spy.jwebkit.ProxySupportFilter
 
PyScriptAction - Class in net.spy.jwebkit.struts
Struts action for executing jython scripts.
PyScriptAction() - Constructor for class net.spy.jwebkit.struts.PyScriptAction
 

R

removeSession(HttpSession) - Method in class net.spy.jwebkit.SessionWatcher.SessionStorage
Remove a session.
RequestUtil - Class in net.spy.jwebkit
Miscellaneous request utilities.
RSSChannel - Class in net.spy.jwebkit.rss
An RSS channel.
RSSChannel(String, String, String) - Constructor for class net.spy.jwebkit.rss.RSSChannel
Get an RSS channel instance.
RSSItem - Interface in net.spy.jwebkit.rss
An RSS item.
RSSPodcastItem - Interface in net.spy.jwebkit.rss
RSSItem subinterface for podcasts.

S

ScriptAction - Class in net.spy.jwebkit.struts
Abstract superclass for all struts actions that will execute server-side scripts.
ScriptAction() - Constructor for class net.spy.jwebkit.struts.ScriptAction
 
ScriptMapping - Class in net.spy.jwebkit.struts
Mapping to specify a script path for a given request.
ScriptMapping() - Constructor for class net.spy.jwebkit.struts.ScriptMapping
 
ScriptSupportContextListener - Class in net.spy.jwebkit
Servlet to provide access to information needed by scripting type applications.
ScriptSupportContextListener() - Constructor for class net.spy.jwebkit.ScriptSupportContextListener
 
sendHTML(String, HttpServletResponse) - Method in class net.spy.jwebkit.JWHttpServlet
Send a chunk of HTML as the response with the text/html content type.
sendPlain(String, HttpServletResponse) - Method in class net.spy.jwebkit.JWHttpServlet
Send a chunk of plain text as the response with the text/plain content type.
sendSimple(String, HttpServletResponse) - Method in class net.spy.jwebkit.JWHttpServlet
Send a simple string.
sendXml(String, Document, HttpServletResponse) - Method in class net.spy.jwebkit.xml.XMLOutputServlet
Send XML with a specific content type.
sendXml(String, SAXAble, HttpServletResponse) - Method in class net.spy.jwebkit.xml.XMLOutputServlet
Send a SAX response.
sendXml(SAXAble, HttpServletResponse) - Method in class net.spy.jwebkit.xml.XMLOutputServlet
Send a SAX response with the default XML type.
sendXml(Document, HttpServletResponse) - Method in class net.spy.jwebkit.xml.XMLOutputServlet
Send an XML document as text/xml.
service(HttpServletRequest, HttpServletResponse) - Method in class net.spy.jwebkit.JWHttpServlet
Prevent subclasses from implementing service.
service(ServletRequest, ServletResponse) - Method in class net.spy.jwebkit.JWHttpServlet
Prevent subclasses from implementing service.
sessionCreated(HttpSessionEvent) - Method in class net.spy.jwebkit.SessionWatcher
Called when a session is created.
sessionDestroyed(HttpSessionEvent) - Method in class net.spy.jwebkit.SessionWatcher
Called when a session is destroyed.
SessionWatcher - Class in net.spy.jwebkit
Watch session creation and destruction and provide access to all active sessions in the system.
SessionWatcher() - Constructor for class net.spy.jwebkit.SessionWatcher
 
SessionWatcher.SessionStorage - Class in net.spy.jwebkit
Storage for sessions.
SessionWatcher.SessionStorage() - Constructor for class net.spy.jwebkit.SessionWatcher.SessionStorage
 
setContentType(String) - Method in class net.spy.jwebkit.cache.CacheEntry
 
setContentType(String) - Method in class net.spy.jwebkit.ContentFilteredResponse
Set the content type (after running it through the Map).
setData(byte[]) - Method in class net.spy.jwebkit.cache.CacheEntry
 
setEntry(String, CacheEntry, long) - Method in interface net.spy.jwebkit.cache.CacheProvider
Store a cache entry for the given key.
setEntry(String, CacheEntry, long) - Method in class net.spy.jwebkit.cache.MemcachedCacheProvider
 
setEntry(String, CacheEntry, long) - Method in class net.spy.jwebkit.cache.SimpleCacheProvider
 
setHeaders(Map<String, Collection<String>>) - Method in class net.spy.jwebkit.cache.CacheEntry
 
setHeadersSet(Map<String, String>) - Method in class net.spy.jwebkit.cache.CacheEntry
 
setPostParams(DBSP, ActionMapping, HttpServletRequest) - Method in class net.spy.jwebkit.struts.DBSPAction
Set any parameters that should be overridden for this spt after populating the values from the request parameters.
setPreParams(DBSP, ActionMapping, HttpServletRequest) - Method in class net.spy.jwebkit.struts.DBSPAction
Set any default parameters for this spt before receiving them from the request parameters.
setReportName(String) - Method in class net.spy.jwebkit.struts.DBSPMapping
Set the name of this report..
setScriptPath(String) - Method in class net.spy.jwebkit.struts.ScriptMapping
Set the script path.
setSpt(String) - Method in class net.spy.jwebkit.struts.DBSPMapping
Set the spt class name.
shouldShow(String) - Method in class net.spy.jwebkit.debug.DebugServlet
True if the named section should be shown.
showMore(HttpServletRequest, HttpServletResponse, PrintWriter) - Method in class net.spy.jwebkit.debug.DebugServlet
Hook for subclasses of DebugServlet to provide more information.
SimpleAuthAdaptor - Class in net.spy.jwebkit.auth
PasswordCheckingAuthAdaptor that returns true for any user when the role is authenticated, and returns a Principal for any user with the password of mypass.
SimpleAuthAdaptor() - Constructor for class net.spy.jwebkit.auth.SimpleAuthAdaptor
 
SimpleCacheProvider - Class in net.spy.jwebkit.cache
CacheProvider backed by a SimpleCache instance.
SimpleCacheProvider() - Constructor for class net.spy.jwebkit.cache.SimpleCacheProvider
 
spyCancel(ActionMapping, ActionForm, HttpServletRequest, HttpServletResponse) - Method in class net.spy.jwebkit.struts.JWebAction
Handle a cancel.
spyExecute(ActionMapping, ActionForm, HttpServletRequest, HttpServletResponse) - Method in class net.spy.jwebkit.struts.AjaxAction
 
spyExecute(ActionMapping, ActionForm, HttpServletRequest, HttpServletResponse) - Method in class net.spy.jwebkit.struts.BSHAction
Execute the mapped script.
spyExecute(ActionMapping, ActionForm, HttpServletRequest, HttpServletResponse) - Method in class net.spy.jwebkit.struts.CacheFlushAction
Process this cache.
spyExecute(ActionMapping, ActionForm, HttpServletRequest, HttpServletResponse) - Method in class net.spy.jwebkit.struts.DBSPAction
This will execute an SPT and set request attributes containing the results.
spyExecute(ActionMapping, ActionForm, HttpServletRequest, HttpServletResponse) - Method in class net.spy.jwebkit.struts.HoldAction
Perform.
spyExecute(ActionMapping, ActionForm, HttpServletRequest, HttpServletResponse) - Method in class net.spy.jwebkit.struts.JWebAction
Execute this action.
spyExecute(ActionMapping, ActionForm, HttpServletRequest, HttpServletResponse) - Method in class net.spy.jwebkit.struts.LogoutAction
Process the request.
spyExecute(ActionMapping, ActionForm, HttpServletRequest, HttpServletResponse) - Method in class net.spy.jwebkit.struts.PyScriptAction
Execute the mapped script.

T

TopServlet - Class in net.spy.jwebkit.debug
Top-like functionality for java.
TopServlet() - Constructor for class net.spy.jwebkit.debug.TopServlet
 
toString() - Method in class net.spy.jwebkit.rss.RSSChannel
 
toString() - Method in class net.spy.jwebkit.struts.DBSPAction.Parameter
String me.

U

USERNAME_PARAM - Static variable in class net.spy.jwebkit.auth.FormAuthFilter
The name of the form field containing the username.

V

VALID_PASS - Static variable in class net.spy.jwebkit.auth.SimpleAuthAdaptor
 
VALID_ROLE - Static variable in class net.spy.jwebkit.auth.PropPasswdAuthAdaptor
 
VALID_ROLE - Static variable in class net.spy.jwebkit.auth.SimpleAuthAdaptor
 
validateTwoFields(Object, ValidatorAction, Field, ActionErrors, HttpServletRequest) - Static method in class net.spy.jwebkit.struts.ValidationUtils
Validate the current field matches another field.
ValidationUtils - Class in net.spy.jwebkit.struts
Validators and stuff.
valueOf(String) - Static method in enum net.spy.jwebkit.auth.DigestAuthFilter.ValidationState
Returns the enum constant of this type with the specified name.
values() - Static method in enum net.spy.jwebkit.auth.DigestAuthFilter.ValidationState
Returns an array containing the constants of this enum type, in the order they're declared.

W

writeXml(ContentHandler) - Method in class net.spy.jwebkit.rss.RSSChannel
Serialize this RSS channel.

X

XMLOutputServlet - Class in net.spy.jwebkit.xml
Servlet that serializes DOM trees to the response.
XMLOutputServlet() - Constructor for class net.spy.jwebkit.xml.XMLOutputServlet
 

A B C D E F G H I J L M N P R S T U V W X

Copyright © 1995-2007 SPY Internetworking. All Rights Reserved.